import { Umi, Context } from '@metaplex-foundation/umi-core';
import { Web3JsRpcOptions } from '@metaplex-foundation/umi-rpc-web3js';
export declare const createUmi: (endpoint?: string, rpcOptions?: Web3JsRpcOptions, airdropAmount?: import("@metaplex-foundation/umi-core").SolAmount) => Promise<Umi>;
export declare const generateSignerWithSol: (context: Pick<Context, 'eddsa' | 'rpc'>, airdropAmount?: import("@metaplex-foundation/umi-core").SolAmount) => Promise<import("@metaplex-foundation/umi-core").KeypairSigner>;
export * from './plugin';
export * from '@metaplex-foundation/umi-core';
